//////////////////////////////////////////////////////////////////////////////
//                      Copyright (c) 2005 Gerhard Schalk
//
//                      80C537A Mikrocontroller Training
//                              C Programmierung
//
//////////////////////////////////////////////////////////////////////////////
//   Header File:   PCF8563
//////////////////////////////////////////////////////////////////////////////  
#ifndef __PCF8563_H_INCLUDED
#define __PCF8563_INCLUDED

    

    #define PCF8563_I2C_RDAdr 0xA3
    #define PCF8563_I2C_WRAdr 0xA2      
    
    #define ACK   0
    #define NACK  1

    #define OK     0
    #define ERROR  -1

    //------------------------------------------------
    //  Testfunktionen 
    //------------------------------------------------
     



    struct time                  // Struktur Uhrzeit
    {    
        unsigned char    hour;   // Stunden 
        unsigned char     min;   // Minuten
        unsigned char     sec;   // Sekunden          
    };

    struct date                  // Struktur Datum
    {    
        unsigned char     month; // Monat 
        unsigned char     year;  // Jahr
    };

    char ReadRTCTime(struct time *Time);
    char SetRTCTime(struct time *Time);
 

    char TestReadAllRegister(void);
 

   


#endif
